For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • POSTUpload Video
        • GETGet Video
        • GETList Videos
        • DELDelete Video
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceVideo Management

Get Video

GET
https://vision-agent.api.reka.ai/v1/videos/:video_id
GET
/v1/videos/:video_id
$curl https://vision-agent.api.reka.ai/v1/videos/video_id \
> -H "X-Api-Key: <apiKey>"
200Retrieved
1{
2 "video_id": "550e8400-e29b-41d4-a716-446655440000",
3 "url": "https://s3.amazonaws.com/bucket/video.mp4?presigned=...",
4 "metadata": {
5 "width": 1920,
6 "height": 1080,
7 "avg_fps": 23.976023976023978,
8 "video_name": "Kathy test",
9 "title": "Kathy test",
10 "video_start_timestamp_utc_ms": 1,
11 "duration": 641.939,
12 "thumbnail": "https://demo-videos-bucket-reka.s3.eu-west-2.amazonaws.com/None/images/{image_id}",
13 "description": "Uploaded video file: home/kathy/vids/tuscany.mp4",
14 "source": "home/kathy/vids/tuscany.mp4"
15 },
16 "indexing_status": "indexing",
17 "indexing_type": "fast_search",
18 "group_id": "string"
19}
Retrieve a single video by ID.
Was this page helpful?
Previous

List Videos

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Path parameters

video_idstringRequiredformat: "uuid"

Response

Successful Response
video_idstring
Unique identifier for the video
urlstring
Presigned S3 URL to access the video
metadataobject or null
Metadata for a video
indexing_statusenum or null
Status of video indexing
Allowed values:
indexing_typeenum or null
Type of indexing applied to the video
Allowed values:
group_idstring or null
Group ID if video belongs to a group